library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--library synplify;
--use synplify.attributes.all;
--use synplify.all;

library work;
use work.wishbone_pkg.all;

--library smartfusion2;
--use smartfusion2.all;

package voter is
 	type t_voter_stdvector is array (1 to 3) of std_logic_vector;
	type t_voter_stdlogic is array (1 to 3) of std_logic;
end package;

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.voter.all;

entity ram_voter is
	generic (
		g_addr_width : natural := 15;
                g_data_width : natural := 38
		
		);
    port (
		da_vot_i : in t_voter_stdvector (open)(g_data_width-1 downto 0);
		aa_vot_i : in t_voter_stdvector (open) (g_addr_width-1 downto 0);
		wa_vot_i : in t_voter_stdlogic;
		ra_vot_i : in t_voter_stdlogic;

        lock_a_req_vot_i : in t_voter_stdlogic;

		da_o :	out std_logic_vector (g_data_width-1 downto 0);
		aa_o :	out std_logic_vector (g_addr_width-1 downto 0);
		wa_o :	out std_logic;
		ra_o : out std_logic;
        lock_a_req_o : out std_logic


      );


end ram_voter;

architecture rtl of ram_voter is


begin

  da : for i in da_o'range generate
    da_o(i) <= (da_vot_i(1)(i) and da_vot_i(2)(i)) or (da_vot_i(2)(i) and da_vot_i(3)(i)) or (da_vot_i(1)(i) and da_vot_i(3)(i));
   
  end generate;

  aa : for i in aa_o'range generate
    aa_o(i) <= (aa_vot_i(1)(i) and aa_vot_i(2)(i)) or (aa_vot_i(2)(i) and aa_vot_i(3)(i)) or (aa_vot_i(1)(i) and aa_vot_i(3)(i));
  
  end generate; 

  wa_o <= (wa_vot_i(1) and wa_vot_i(2)) or (wa_vot_i(2) and wa_vot_i(3)) or (wa_vot_i(1) and wa_vot_i(3));
 
  ra_o <= (ra_vot_i(1) and ra_vot_i(2)) or (ra_vot_i(2) and ra_vot_i(3)) or (ra_vot_i(1) and ra_vot_i(3));


  lock_a_req_o <= (lock_a_req_vot_i(1) and lock_a_req_vot_i(2)) or (lock_a_req_vot_i(2) and lock_a_req_vot_i(3)) or (lock_a_req_vot_i(1) and lock_a_req_vot_i(3));
 
                                                                                                                                                                                                                                      
end architecture;
