library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
--library synplify;
--use synplify.attributes.all;
--use synplify.all;

--library smartfusion2;
--use smartfusion2.all;


entity reset_gen is

 port (
    clk_i : in std_logic;
    rst_por_i : in std_logic;
    rst_btn_i : in std_logic;
    wd_i : in std_logic;
    rst_soc_o   : out std_logic;
    rst_mss_o : out std_logic


    );
end entity reset_gen;


architecture rtl of reset_gen is


signal rst, rst_btn, rst_btn_d : std_logic;
signal rst_por, por_filter0, por_filter1 : std_logic;
-- if USB is used to power-up the board, additional delay is required (more than 1ms)
signal counter : unsigned (17 downto 0) ; 


attribute syn_radhardlevel : string;
attribute syn_radhardlevel of rtl : architecture is "tmr";

begin


process (clk_i)
begin
if rising_edge(clk_i) then
 rst_btn_d <= rst_btn_i;
 rst_btn <= rst_btn_d;
end if;
end process;

process (rst_por_i, clk_i)
begin
if (rst_por_i = '1') then
	 por_filter0 <= '1';
	 por_filter1 <= '1';
elsif rising_edge (clk_i) then
	por_filter0 <= '0';
	por_filter1 <= por_filter0;
end if;
end process;

rst_por <= por_filter1;

rst <= rst_por or rst_btn or (wd_i and not rst_soc_o); 

process (clk_i) 
begin
if rst = '1' then
counter <= (others => '0');
rst_soc_o <= '1';
rst_mss_o <= '1';
elsif rising_edge(clk_i) then
-- 1ms delay w.r.t. rst_mss_o
if (counter = (counter'range => '1')) then
      rst_soc_o <= '0';
else
    counter <= counter+1;
end if;

if (counter (2) = '1') then
	rst_mss_o <= '0';
end if;
   
end if;

end process;


end architecture;
