library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;




entity rst_filter is

  
  port (
    clk_i : in std_logic;
    rst_i : in std_logic;
    
    rst_o : out std_logic );
end entity;
  
  architecture rtl of rst_filter is
  signal rst_rising, rst_falling : std_logic;
  
   attribute syn_radhardlevel : string;
attribute syn_radhardlevel of rtl : architecture is "tmr";

  begin
  
  
  process (clk_i)
  begin
    if rising_edge(clk_i) then
      rst_rising <= rst_I;
  end if;
end process;

  process (clk_i)
  begin
    if rising_edge(clk_i) then
      rst_falling <= rst_rising;
  end if;
end process;

process (rst_rising, rst_falling)
  begin
    if (rst_rising = '1' and rst_falling = '1') then
      rst_o <= '1';
  else 
    rst_o <= '0';
end if;
end process;




  end architecture;