library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--library synplify;
--use synplify.attributes.all;
--use synplify.all;

library work;
use work.wishbone_pkg.all;

--library smartfusion2;
--use smartfusion2.all;

use work.voter.all;
use work.wb_voter_pkg.all;



entity seu_counters is

  port (
    clk_i : in std_logic;
    rst_i : in std_logic;
    
    event_se_iram : in std_logic;
    event_de_iram : in std_logic;
    event_se_dram : in std_logic;
    event_de_dram : in std_logic;    
    
        
    se_dram_o : out std_logic_vector (15 downto 0);
    de_dram_o : out std_logic_vector (15 downto 0);
    
    se_iram_o : out std_logic_vector (15 downto 0);
    de_iram_o : out std_logic_vector (15 downto 0)
    
    );

end entity seu_counters;

architecture rtl of seu_counters is
  
  signal se_iram_counter,de_iram_counter,se_dram_counter,de_dram_counter : unsigned (15 downto 0);
    attribute syn_radhardlevel : string;
attribute syn_radhardlevel of rtl : architecture is "tmr";

begin
  
  se_iram_o <= std_logic_vector(se_iram_counter);
  de_iram_o <= std_logic_vector(de_iram_counter);
  se_dram_o <= std_logic_vector(se_dram_counter);
  de_dram_o <= std_logic_vector(de_dram_counter);
  
  process (clk_i)
    begin
      if rising_edge(clk_i) then
        if (rst_i = '1') then
          se_iram_counter <= (others => '0');
          de_iram_counter <= (others => '0');
          se_dram_counter <= (others => '0');
          de_dram_counter <= (others => '0');          
        else
            if (event_se_iram = '1') then
              se_iram_counter <= se_iram_counter+1;
            end if;
           if (event_de_iram = '1') then
              de_iram_counter <= de_iram_counter+1;
            end if;
            if (event_se_dram = '1') then
              se_dram_counter <= se_dram_counter+1;
            end if;  
            if (event_de_dram = '1') then
              de_dram_counter <= de_dram_counter+1;
            end if;          
          end if;
          
          end if;
          end process;
          
end architecture;