library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--library synplify;
--use synplify.attributes.all;
--use synplify.all;

library work;
use work.wishbone_pkg.all;
--
--library smartfusion2;
--use smartfusion2.all;


entity ueth_crc is

  
  port (
    clk_i : in std_logic;
    rst_i : in std_logic;

    en_i : in std_logic;
    data_i : in std_logic_vector (3 downto 0);
    crc_o : out std_logic_vector (31 downto 0)
    );
  end entity ueth_crc;

  architecture rtl of ueth_crc is
      signal crc : std_logic_vector (31 downto 0);
      signal data : std_logic_vector (3 downto 0);
      
      
      attribute syn_radhardlevel : string;
attribute syn_radhardlevel of rtl : architecture is "tmr";

  begin

data <= data_i;

 process (clk_i)
  begin
    if rising_edge (clk_i) then
      if (rst_i = '1') then
        crc <= (others => '1');
      elsif (en_i = '1') then
        crc(0)  <= crc(28) xor data(3);
        crc(1)  <= crc(28) xor crc(29) xor data(2) xor data(3);
        crc(2)  <= crc(28) xor crc(29) xor crc(30) xor data(1) xor data(2) xor data(3);
        crc(3)  <= crc(29) xor crc(30) xor crc(31) xor data(0) xor data(1) xor data(2);
        crc(4)  <= crc(0) xor crc(28) xor crc(30) xor crc(31) xor data(0) xor data(1) xor data(3);
        crc(5)  <= crc(1) xor crc(28) xor crc(29) xor crc(31) xor data(0) xor data(2) xor data(3);
        crc(6)  <= crc(2) xor crc(29) xor crc(30) xor data(1) xor data(2);
        crc(7)  <= crc(3) xor crc(28) xor crc(30) xor crc(31) xor data(0) xor data(1) xor data(3);
        crc(8)  <= crc(4) xor crc(28) xor crc(29) xor crc(31) xor data(0) xor data(2) xor data(3);
        crc(9)  <= crc(5) xor crc(29) xor crc(30) xor data(1) xor data(2);
        crc(10) <= crc(6) xor crc(28) xor crc(30) xor crc(31) xor data(0) xor data(1) xor data(3);
        crc(11) <= crc(7) xor crc(28) xor crc(29) xor crc(31) xor data(0) xor data(2) xor data(3);
        crc(12) <= crc(8) xor crc(28) xor crc(29) xor crc(30) xor data(1) xor data(2) xor data(3);
        crc(13) <= crc(9) xor crc(29) xor crc(30) xor crc(31) xor data(0) xor data(1) xor data(2);
        crc(14) <= crc(10) xor crc(30) xor crc(31) xor data(0) xor data(1);
        crc(15) <= crc(11) xor crc(31) xor data(0);
        crc(16) <= crc(12) xor crc(28) xor data(3);
        crc(17) <= crc(13) xor crc(29) xor data(2);
        crc(18) <= crc(14) xor crc(30) xor data(1);
        crc(19) <= crc(15) xor crc(31) xor data(0);
        crc(20) <= crc(16);
        crc(21) <= crc(17);
        crc(22) <= crc(18) xor crc(28) xor data(3);
        crc(23) <= crc(19) xor crc(28) xor crc(29) xor data(2) xor data(3);
        crc(24) <= crc(20) xor crc(29) xor crc(30) xor data(1) xor data(2);
        crc(25) <= crc(21) xor crc(30) xor crc(31) xor data(0) xor data(1);
        crc(26) <= crc(22) xor crc(28) xor crc(31) xor data(0) xor data(3);
        crc(27) <= crc(23) xor crc(29) xor data(2);
        crc(28) <= crc(24) xor crc(30) xor data(1);
        crc(29) <= crc(25) xor crc(31) xor data(0);
        crc(30) <= crc(26);
        crc(31) <= crc(27);

      end if;
    end if;
  end process;


  crc_o <= crc;
   
  
   







  end architecture;
