

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


library work;
use work.wishbone_pkg.all;



package wb_master_voter_pkg is
        type t_voter_wb_master is array (1 to 3) of t_wishbone_master_out;
end package;

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


library work;
use work.wishbone_pkg.all;

use work.wb_master_voter_pkg.all;


--library synplify;
--use synplify.attributes.all;
--use synplify.all;



entity wb_master_voter is

    port (
		m_wb_i : in t_voter_wb_master;
                m_wb_o : out t_wishbone_master_out
      );
end wb_master_voter;

architecture rtl of wb_master_voter is

begin

  m_wb_o.cyc <= (m_wb_i(1).cyc and m_wb_i(2).cyc) or (m_wb_i(2).cyc and m_wb_i(3).cyc) or (m_wb_i(1).cyc and m_wb_i(3).cyc);
  m_wb_o.stb <= (m_wb_i(1).stb and m_wb_i(2).stb) or (m_wb_i(2).stb and m_wb_i(3).stb) or (m_wb_i(1).stb and m_wb_i(3).stb);
  m_wb_o.we  <= (m_wb_i(1).we  and m_wb_i(2).we ) or (m_wb_i(2).we  and m_wb_i(3).we ) or (m_wb_i(1).we  and m_wb_i(3).we );
  
  adr : for i in m_wb_o.adr'range generate
    m_wb_o.adr(i) <= (m_wb_i(1).adr(i) and m_wb_i(2).adr(i)) or (m_wb_i(2).adr(i) and m_wb_i(3).adr(i)) or (m_wb_i(1).adr(i) and m_wb_i(3).adr(i));
  end generate;


  sel : for i in m_wb_o.sel'range generate
    m_wb_o.sel(i) <= (m_wb_i(1).sel(i) and m_wb_i(2).sel(i)) or (m_wb_i(2).sel(i) and m_wb_i(3).sel(i)) or (m_wb_i(1).sel(i) and m_wb_i(3).sel(i));
  end generate;


   dat: for i in m_wb_o.dat'range generate
    m_wb_o.dat(i) <= (m_wb_i(1).dat(i) and m_wb_i(2).dat(i)) or (m_wb_i(2).dat(i) and m_wb_i(3).dat(i)) or (m_wb_i(1).dat(i) and m_wb_i(3).dat(i));
  end generate;


  end architecture;
