---------------------------------------------------------------------------------------
-- Title          : Wishbone slave core for seu ram counter
---------------------------------------------------------------------------------------
-- File           : wb_seu_reg.vhdl
-- Author         : auto-generated by wbgen2 from SEU.wb
-- Created        : 11/20/18 14:56:41
-- Standard       : VHDL'87
---------------------------------------------------------------------------------------
-- THIS FILE WAS GENERATED BY wbgen2 FROM SOURCE FILE SEU.wb
-- DO NOT HAND-EDIT UNLESS IT'S ABSOLUTELY NECESSARY!
---------------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity wb_seu_regs is
  port (
    rst_n_i                                  : in     std_logic;
    clk_sys_i                                : in     std_logic;
    wb_dat_i                                 : in     std_logic_vector(31 downto 0);
    wb_dat_o                                 : out    std_logic_vector(31 downto 0);
    wb_cyc_i                                 : in     std_logic;
    wb_sel_i                                 : in     std_logic_vector(3 downto 0);
    wb_stb_i                                 : in     std_logic;
    wb_we_i                                  : in     std_logic;
    wb_ack_o                                 : out    std_logic;
    wb_err_o                                 : out    std_logic;
    wb_rty_o                                 : out    std_logic;
    wb_stall_o                               : out    std_logic;
        wb_adr_i                                 : in     std_logic_vector(4 downto 0);
-- Port for std_logic_vector field: 'Single errors' in reg: 'counter values'
    iram_seu_regs_see_se_i                        : in     std_logic_vector(15 downto 0);
-- Port for std_logic_vector field: 'Double errors' in reg: 'counter values'
    iram_seu_regs_see_de_i                        : in     std_logic_vector(15 downto 0);
    -- Port for std_logic_vector field: 'Single errors' in reg: 'counter values'
    dram_seu_regs_see_se_i                        : in     std_logic_vector(15 downto 0);
-- Port for std_logic_vector field: 'Double errors' in reg: 'counter values'
    dram_seu_regs_see_de_i                        : in     std_logic_vector(15 downto 0)
  );
end wb_seu_regs;

architecture syn of wb_seu_regs is

signal ack_sreg                                 : std_logic_vector(9 downto 0);
signal rddata_reg                               : std_logic_vector(31 downto 0);
signal wrdata_reg                               : std_logic_vector(31 downto 0);
signal bwsel_reg                                : std_logic_vector(3 downto 0);
signal rwaddr_reg                               : std_logic_vector(0 downto 0);
signal ack_in_progress                          : std_logic      ;
signal wr_int                                   : std_logic      ;
signal rd_int                                   : std_logic      ;
signal allones                                  : std_logic_vector(31 downto 0);
signal allzeros                                 : std_logic_vector(31 downto 0);

begin
-- Some internal signals assignments
  wrdata_reg <= wb_dat_i;
-- 
-- Main register bank access process.
  process (clk_sys_i, rst_n_i)
  begin
    if (rst_n_i = '0') then 
      ack_sreg <= "0000000000";
      ack_in_progress <= '0';
      rddata_reg <= "00000000000000000000000000000000";
    elsif rising_edge(clk_sys_i) then
-- advance the ACK generator shift register
      ack_sreg(8 downto 0) <= ack_sreg(9 downto 1);
      ack_sreg(9) <= '0';
      if (ack_in_progress = '1') then
        if (ack_sreg(0) = '1') then
          ack_in_progress <= '0';
        else
        end if;
      else
        if ((wb_cyc_i = '1') and (wb_stb_i = '1')) then
          if (wb_we_i = '1') then
          end if;
          if (wb_adr_i (2) = '0') then
          rddata_reg(15 downto 0) <= iram_seu_regs_see_se_i;
          rddata_reg(31 downto 16) <= iram_seu_regs_see_de_i;
        else
          rddata_reg(15 downto 0) <= dram_seu_regs_see_se_i;
          rddata_reg(31 downto 16) <= dram_seu_regs_see_de_i;
        end if;
          ack_sreg(0) <= '1';
          ack_in_progress <= '1';
        end if;
      end if;
    end if;
  end process;
  
  
-- Drive the data output bus
  wb_dat_o <= rddata_reg;
-- Single errors
-- Double errors
  rwaddr_reg <= (others => '0');
  wb_stall_o <= (not ack_sreg(0)) and (wb_stb_i and wb_cyc_i);
  wb_err_o <= '0';
  wb_rty_o <= '0';
-- ACK signal generation. Just pass the LSB of ACK counter.
  wb_ack_o <= ack_sreg(0);
end syn;
