

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


library work;
use work.wishbone_pkg.all;



package wb_slave_voter_pkg is
        type t_voter_wb_slave is array (1 to 3) of t_wishbone_slave_out;
end package;

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


library work;
use work.wishbone_pkg.all;

use work.wb_slave_voter_pkg.all;


--library synplify;
--use synplify.attributes.all;
--use synplify.all;



entity wb_slave_voter is

    port (
		s_wb_i : in t_voter_wb_slave;
                s_wb_o : out t_wishbone_slave_out
      );
end wb_slave_voter;

architecture rtl of wb_slave_voter is

begin

  s_wb_o.ack <= (s_wb_i(1).ack and s_wb_i(2).ack) or (s_wb_i(2).ack and s_wb_i(3).ack) or (s_wb_i(1).ack and s_wb_i(3).ack);
  s_wb_o.stall <= (s_wb_i(1).stall and s_wb_i(2).stall) or (s_wb_i(2).stall and s_wb_i(3).stall) or (s_wb_i(1).stall and s_wb_i(3).stall);
  
  

  dat : for i in s_wb_o.dat'range generate
    s_wb_o.dat(i) <= (s_wb_i(1).dat(i) and s_wb_i(2).dat(i)) or (s_wb_i(2).dat(i) and s_wb_i(3).dat(i)) or (s_wb_i(1).dat(i) and s_wb_i(3).dat(i));
  end generate;





  end architecture;
