---------------------------------------------------------------------------------------
-- Title          : Wishbone slave core for Simple Wishbone UART
---------------------------------------------------------------------------------------
-- File           : wb_uart.vhdl
-- Author         : auto-generated by wbgen2 from uart.wb
-- Created        : 11/22/18 12:43:29
-- Standard       : VHDL'87
---------------------------------------------------------------------------------------
-- THIS FILE WAS GENERATED BY wbgen2 FROM SOURCE FILE uart.wb
-- DO NOT HAND-EDIT UNLESS IT'S ABSOLUTELY NECESSARY!
---------------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity wb_uart is
  port (
    rst_n_i                                  : in     std_logic;
    clk_sys_i                                : in     std_logic;
    wb_adr_i                                 : in     std_logic_vector(0 downto 0);
    wb_dat_i                                 : in     std_logic_vector(31 downto 0);
    wb_dat_o                                 : out    std_logic_vector(31 downto 0);
    wb_cyc_i                                 : in     std_logic;
    wb_sel_i                                 : in     std_logic_vector(3 downto 0);
    wb_stb_i                                 : in     std_logic;
    wb_we_i                                  : in     std_logic;
    wb_ack_o                                 : out    std_logic;
    wb_err_o                                 : out    std_logic;
    wb_rty_o                                 : out    std_logic;
    wb_stall_o                               : out    std_logic;
-- Port for BIT field: 'TX busy' in reg: 'Status Register'
    uart_sr_tx_busy_i                        : in     std_logic;
-- Port for MONOSTABLE field: 'TX trigger' in reg: 'Status Register'
    uart_sr_tx_send_o                        : out    std_logic;
-- Port for std_logic_vector field: 'Transmit data' in reg: 'Transmit data register'
    uart_tdr_tx_data_o                       : out    std_logic_vector(7 downto 0)
  );
end wb_uart;

architecture syn of wb_uart is

signal uart_sr_tx_send_dly0                     : std_logic      ;
signal uart_sr_tx_send_int                      : std_logic      ;
signal uart_tdr_tx_data_int                     : std_logic_vector(7 downto 0);
signal ack_sreg                                 : std_logic_vector(9 downto 0);
signal rddata_reg                               : std_logic_vector(31 downto 0);
signal wrdata_reg                               : std_logic_vector(31 downto 0);
signal bwsel_reg                                : std_logic_vector(3 downto 0);
signal rwaddr_reg                               : std_logic_vector(0 downto 0);
signal ack_in_progress                          : std_logic      ;
signal wr_int                                   : std_logic      ;
signal rd_int                                   : std_logic      ;
signal allones                                  : std_logic_vector(31 downto 0);
signal allzeros                                 : std_logic_vector(31 downto 0);

   attribute syn_radhardlevel : string;
attribute syn_radhardlevel of syn : architecture is "tmr";

begin
-- Some internal signals assignments
  wrdata_reg <= wb_dat_i;
-- 
-- Main register bank access process.
  process (clk_sys_i, rst_n_i)
  begin
    if (rst_n_i = '0') then 
      ack_sreg <= "0000000000";
      ack_in_progress <= '0';
      rddata_reg <= "00000000000000000000000000000000";
      uart_sr_tx_send_int <= '0';
      uart_tdr_tx_data_int <= "00000000";
    elsif rising_edge(clk_sys_i) then
-- advance the ACK generator shift register
      ack_sreg(8 downto 0) <= ack_sreg(9 downto 1);
      ack_sreg(9) <= '0';
      if (ack_in_progress = '1') then
        if (ack_sreg(0) = '1') then
          uart_sr_tx_send_int <= '0';
          ack_in_progress <= '0';
        else
        end if;
      else
        if ((wb_cyc_i = '1') and (wb_stb_i = '1')) then
          case rwaddr_reg(0) is
          when '0' => 
            if (wb_we_i = '1') then
              uart_sr_tx_send_int <= wrdata_reg(1);
            end if;
            rddata_reg(0) <= uart_sr_tx_busy_i;
            rddata_reg(1) <= '0';
            rddata_reg(2) <= '0';
            rddata_reg(3) <= '0';
            rddata_reg(4) <= '0';
            rddata_reg(5) <= '0';
            rddata_reg(6) <= '0';
            rddata_reg(7) <= '0';
            rddata_reg(8) <= '0';
            rddata_reg(9) <= '0';
            rddata_reg(10) <= '0';
            rddata_reg(11) <= '0';
            rddata_reg(12) <= '0';
            rddata_reg(13) <= '0';
            rddata_reg(14) <= '0';
            rddata_reg(15) <= '0';
            rddata_reg(16) <= '0';
            rddata_reg(17) <= '0';
            rddata_reg(18) <= '0';
            rddata_reg(19) <= '0';
            rddata_reg(20) <= '0';
            rddata_reg(21) <= '0';
            rddata_reg(22) <= '0';
            rddata_reg(23) <= '0';
            rddata_reg(24) <= '0';
            rddata_reg(25) <= '0';
            rddata_reg(26) <= '0';
            rddata_reg(27) <= '0';
            rddata_reg(28) <= '0';
            rddata_reg(29) <= '0';
            rddata_reg(30) <= '0';
            rddata_reg(31) <= '0';
            ack_sreg(2) <= '1';
            ack_in_progress <= '1';
          when '1' => 
            if (wb_we_i = '1') then
              uart_tdr_tx_data_int <= wrdata_reg(7 downto 0);
            end if;
            rddata_reg(7 downto 0) <= uart_tdr_tx_data_int;
            rddata_reg(8) <= 'X';
            rddata_reg(9) <= 'X';
            rddata_reg(10) <= 'X';
            rddata_reg(11) <= 'X';
            rddata_reg(12) <= 'X';
            rddata_reg(13) <= 'X';
            rddata_reg(14) <= 'X';
            rddata_reg(15) <= 'X';
            rddata_reg(16) <= 'X';
            rddata_reg(17) <= 'X';
            rddata_reg(18) <= 'X';
            rddata_reg(19) <= 'X';
            rddata_reg(20) <= 'X';
            rddata_reg(21) <= 'X';
            rddata_reg(22) <= 'X';
            rddata_reg(23) <= 'X';
            rddata_reg(24) <= 'X';
            rddata_reg(25) <= 'X';
            rddata_reg(26) <= 'X';
            rddata_reg(27) <= 'X';
            rddata_reg(28) <= 'X';
            rddata_reg(29) <= 'X';
            rddata_reg(30) <= 'X';
            rddata_reg(31) <= 'X';
            ack_sreg(0) <= '1';
            ack_in_progress <= '1';
          when others =>
-- prevent the slave from hanging the bus on invalid address
            ack_in_progress <= '1';
            ack_sreg(0) <= '1';
          end case;
        end if;
      end if;
    end if;
  end process;
  
  
-- Drive the data output bus
  wb_dat_o <= rddata_reg;
-- TX busy
-- TX trigger
  process (clk_sys_i, rst_n_i)
  begin
    if (rst_n_i = '0') then 
      uart_sr_tx_send_dly0 <= '0';
      uart_sr_tx_send_o <= '0';
    elsif rising_edge(clk_sys_i) then
      uart_sr_tx_send_dly0 <= uart_sr_tx_send_int;
      uart_sr_tx_send_o <= uart_sr_tx_send_int and (not uart_sr_tx_send_dly0);
    end if;
  end process;
  
  
-- Transmit data
  uart_tdr_tx_data_o <= uart_tdr_tx_data_int;
  rwaddr_reg <= wb_adr_i;
  wb_stall_o <= (not ack_sreg(0)) and (wb_stb_i and wb_cyc_i);
  wb_err_o <= '0';
  wb_rty_o <= '0';
-- ACK signal generation. Just pass the LSB of ACK counter.
  wb_ack_o <= ack_sreg(0);
end syn;
