library ieee;
use ieee.std_logic_1164.all;

library work;
use work.wishbone_pkg.all;

entity xwb_seu_regs is

  port(
    clk_sys_i : in std_logic;
    rst_i   : in std_logic;

    -- Wishbone
    slave_i : in  t_wishbone_slave_in;
    slave_o : out t_wishbone_slave_out;
    desc_o  : out t_wishbone_device_descriptor;

    iram_seu_regs_see_se_i : in    std_logic_vector(15 downto 0);
    iram_seu_regs_see_de_i : in    std_logic_vector(15 downto 0);
    dram_seu_regs_see_se_i : in    std_logic_vector(15 downto 0);
    dram_seu_regs_see_de_i : in    std_logic_vector(15 downto 0)
    );

end xwb_seu_regs;

architecture rtl of xwb_seu_regs is



component wb_seu_regs 
  port (
    rst_n_i                                  : in     std_logic;
    clk_sys_i                                : in     std_logic;
    wb_dat_i                                 : in     std_logic_vector(31 downto 0);
    wb_dat_o                                 : out    std_logic_vector(31 downto 0);
    wb_cyc_i                                 : in     std_logic;
    wb_sel_i                                 : in     std_logic_vector(3 downto 0);
    wb_adr_i                                 : in     std_logic_vector(4 downto 0);
    wb_stb_i                                 : in     std_logic;
    wb_we_i                                  : in     std_logic;
    wb_ack_o                                 : out    std_logic;
    wb_err_o                                 : out    std_logic;
    wb_rty_o                                 : out    std_logic;
    wb_stall_o                               : out    std_logic;
-- Port for std_logic_vector field: 'Single errors' in reg: 'counter values'
    iram_seu_regs_see_se_i                        : in     std_logic_vector(15 downto 0);
-- Port for std_logic_vector field: 'Double errors' in reg: 'counter values'
    iram_seu_regs_see_de_i                        : in     std_logic_vector(15 downto 0);
    -- Port for std_logic_vector field: 'Single errors' in reg: 'counter values'
    dram_seu_regs_see_se_i                        : in     std_logic_vector(15 downto 0);
-- Port for std_logic_vector field: 'Double errors' in reg: 'counter values'
    dram_seu_regs_see_de_i                        : in     std_logic_vector(15 downto 0)
  );
end component;

attribute syn_radhardlevel : string;
attribute syn_radhardlevel of rtl : architecture is "tmr";

begin




  U_Wrapped_seu: wb_seu_regs

    port map (
      clk_sys_i  => clk_sys_i,
      rst_n_i    => not rst_i,
      wb_adr_i   => slave_i.adr(4 downto 0),
      wb_dat_i   => slave_i.dat,
      wb_dat_o   => slave_o.dat,
      wb_cyc_i   => slave_i.cyc,
      wb_sel_i   => slave_i.sel,
      wb_stb_i   => slave_i.stb,
      wb_we_i    => slave_i.we,
      wb_ack_o   => slave_o.ack,
      wb_stall_o => slave_o.stall,
      iram_seu_regs_see_se_i => iram_seu_regs_see_se_i,
      iram_seu_regs_see_de_i => iram_seu_regs_see_de_i,
      dram_seu_regs_see_se_i => dram_seu_regs_see_se_i,
      dram_seu_regs_see_de_i => dram_seu_regs_see_de_i      
      );

  slave_o.err <= '0';
  slave_o.rty <= '0';
  slave_o.int <='0';

  desc_o <= (others => '0');



end architecture;




